# $Revision: 1.17 $, $Date: 2009/09/16 13:32:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	LockFile
%define		pnam	Simple
Summary:	LockFile::Simple Perl module - simple file locking scheme
Summary(pl.UTF-8):	Moduł Perla LockFile::Simple - prosty schemat blokowania plików
Name:		perl-LockFile-Simple
Version:	0.207
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	194573bdf3f1823723959b25f0a322d0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LockFile::Simple Perl module - provides simple locking scheme which
is not based on any file locking system calls such as "flock()" or
"lockf()" but rather relies on basic file system primitives and
properties, such as the atomicity of the "write()" system call. It is
not meant to be exempt from all race conditions, especially over NFS.

%description -l pl.UTF-8
Moduł Perla LockFile::Simple - udostępnia prosty system blokowania
plików nie oparty na żadnych funkcjach systemowych, takich jak
"flock()" i "lockf()" służących do blokowania plików. Korzysta on z
podstawowych własności systemów plików, takich jak atomowość funkcji
systemowej "write()". Nie oznacza to, że jest on wolny od sytuacji
"wyścigu" (race conditions), zwłaszcza w przypadku korzystania z NFS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/LockFile/*.pm
%{perl_vendorlib}/LockFile/Lock
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-LockFile-Simple.spec,v $
Revision 1.17  2009/09/16 13:32:51  amateja
- updated to 0.207

Revision 1.16  2008/07/27 22:40:27  arekm
- release 4

Revision 1.15  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:31  paladine
- formatting

Revision 1.12  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:31  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.9  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.8  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.7  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.1  2003/02/21 14:08:01  ankry
- new

